import * as d3 from 'd3';
import { Mark } from './Mark';
import { HistModel } from './HistModel';
export declare class Hist extends Mark {
    render(): Promise<void>;
    set_ranges(): void;
    set_positional_scales(): void;
    create_listeners(): void;
    process_click(interaction: any): void;
    private updateColors;
    private updateStrokeAndOpacities;
    private computeBarWidth;
    relayout(): void;
    draw(): void;
    private barClickHandler;
    draw_legend(elem: any, x_disp: any, y_disp: any, inter_x_disp: any, inter_y_disp: any): number[];
    update_selected(model: any, value: any): void;
    clear_style(style_dict: any, indices?: any): void;
    set_default_style(indices: any, elements?: any): void;
    set_style_on_elements(style: any, indices: any): void;
    invert_point(pixel: any): void;
    selector_changed(point_selector: any, rect_selector: any): any[];
    private computeDataIndices;
    private reduceIntervals;
    private dataIndexToBarIndex;
    private resetSelection;
    compute_view_padding(): void;
    selected_indices: number[];
    legend_el: d3.Selection<SVGGElement, any, any, any>;
    bin_pixels: number[];
    pixel_coords: [number[], number[]][];
    model: HistModel;
}
